﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.DataWarehouse.TaxPayerStatsDataWarehouseListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Tax Payer Stats";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>


<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <form class="ibox-title" asp-action="Search">
                    From:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateFrom")
                                    .Value(Model.DateFrom == null ? DateTime.Now : Model.DateFrom)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date From" })
                            )
                    &nbsp;
                    &nbsp;
                    &nbsp;
                    To:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateTo")
                                    .Value(Model.DateTo == null ? DateTime.Now : Model.DateTo)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date To" })
                            )
                    &nbsp;
                    <input type="submit" class="btn btn-default btn-sm" value="Search" />
                </form>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.TaxPayerStatsList.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @{ @Model.MessageNumberEntries }
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example">
                                        <thead>
                                            <tr>

                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].TaxPayerStatsID)
                                                </th>

                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].StatsDate)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].Region)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].Office)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].Segment)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].NumberOfRegisteredTaxPayers)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].NumberOfActiveTaxPayers)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].NumberOfTaxPayersFiled)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].NumberTaxPayersFiledInTime)
                                                </th>
                                                <th>
                                                    @Html.DisplayNameFor(model => model.TaxPayerStatsList[0].NumberOfTaxPayers70PercentRevenue)
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if (Model.TaxPayerStatsList.Count > 0)
                                            {
                                                foreach (var item in Model.TaxPayerStatsList)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.TaxPayerStatsID)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.StatsDateForDisplay)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Region)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Office)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Segment)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.NumberOfRegisteredTaxPayers)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.NumberOfActiveTaxPayers)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.NumberOfTaxPayersFiled)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.NumberTaxPayersFiledInTime)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.NumberOfTaxPayers70PercentRevenue)
                                                        </td>
                                                    </tr>
                                                }
                                            }
                                            else
                                            {
                                                <tr>
                                                    <td colspan="10" class="text-center">
                                                        No records found
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                                @{
                                    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
                                    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
                                }

                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber - 1)"
                                   asp-route-dateFrom="@(Model.DateFrom)"
                                   asp-route-dateTo="@(Model.DateTo)"
                                   class="btn btn-default @prevDisabled">
                                    Previous
                                </a>
                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber + 1)"
                                   asp-route-dateFrom="@(Model.DateFrom)"
                                   asp-route-dateTo="@(Model.DateTo)"
                                   class="btn btn-default @nextDisabled">
                                    Next
                                </a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>